Bug 477978 - Fedora 10 installation hangs during boot; ACPI=OFF allows to boot but ACPI doesn't work
Fedora 10 installation hangs during boot; ACPI=OFF allows to boot but ACPI do...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 16:22 EST by v.plessky
Modified: 2009-09-06 02:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 02:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (2.60 KB, text/plain)
2008-12-26 16:24 EST, v.plessky
no flags Details
lspci -vv (35.99 KB, text/plain)
2008-12-26 16:25 EST, v.plessky
no flags Details
dmidecode (12.02 KB, text/plain)
2008-12-26 16:26 EST, v.plessky
no flags Details
dmesg output (39.23 KB, text/plain)
2008-12-26 16:29 EST, v.plessky
no flags Details

  None (edit)
Description v.plessky 2008-12-26 16:22:22 EST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; ru; rv:1.9.0.5) Gecko/2008120122 Firefox/3.0.5

Fedora 10 installation hangs during boot (initial boot screen, after loading kernel image). 
ACPI=OFF allows to boot but ACPI doesn't work
- battery "not present" while 
- system heats enermosuly (I hav elaptop and that can be critical)
- repeatable both with x86 and x86-64 versions

System/model: ASUS M51Ta
CPU: AMD Turion X2 Ultra (Puma platform)

Tried with latest Fedora 10 kernel from updates (2.6.27.9) - same problem

I think problem is caused with ACPI module in kernel.
ACPI in Windows Vista works, CPU frequency is 575MHz (reduced from 2.3Ghz) ond voltage is 0.800 V.
With such default settings, system is silent and doesn't heat.


Reproducible: Always

Steps to Reproduce:
1. Launch Fedora 10 LiveCD
2. Select boot
3. System would hang afte rloading kernel image
Actual Results:  

System hangs, and doesn't respond to keyboard.
I need to power-off via Power button to switch it off/reboot.

Expected Results:  

Fedora 10 should be able to boot


lspci output:

00:00.0 Host bridge: Advanced Micro Devices [AMD] RS780 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx)
00:02.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (ext gfx port 0)
00:04.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 0)
00:05.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 1)
00:06.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 2)
00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
00:12.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: ATI Technologies Inc SB700/SB800 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia
00:14.3 ISA bridge: ATI Technologies Inc SB700/SB800 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 11h HyperTransport Configuration (rev 40)
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 11h Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 11h DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 11h Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 11h Link Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics]
02:00.0 VGA compatible controller: ATI Technologies Inc Mobilitiy Radeon HD 3650
02:00.1 Audio device: ATI Technologies Inc RV635 Audio device [Radeon HD 3600 Series]
03:00.0 Network controller: Atheros Communications Inc. Device 002a (rev 01)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
08:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
08:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
08:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
08:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
08:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
Comment 1 v.plessky 2008-12-26 16:24:05 EST
Created attachment 327864 [details]
lspci output
Comment 2 v.plessky 2008-12-26 16:25:42 EST
Created attachment 327865 [details]
lspci -vv


this command has been executed after booting with ACPI=OFF option
Comment 3 v.plessky 2008-12-26 16:26:57 EST
Created attachment 327866 [details]
dmidecode


this command has been executed after booting with ACPI=OFF option
Comment 4 v.plessky 2008-12-26 16:29:37 EST
Created attachment 327867 [details]
dmesg output


this command has been executed after booting with ACPI=OFF option

file(s)- lspci, dmesg, dmidecode - have been copied to USB flash, to be submitted from other system.
Comment 5 v.plessky 2009-01-12 16:03:45 EST
Kernel bug report
http://bugzilla.kernel.org/show_bug.cgi?id=11541

has long discussion of this problem.
Comment 6 Vedran Miletić 2009-09-06 02:43:45 EDT
Kernel 2.6.29.1 is in Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.